/* main.cpp */
#include <fstream>
#include <cassert>
#include <cmath>
#include <complex>
#include <cstdlib>
#include <iostream>
#include <map>
#include <string>
#include <utility>
#include <vector>
#include <stdio.h>
#include <time.h>
#include <iomanip>
#include <limits>

#include <string>
#include <ctime>

#include "inc/I.h"
#include "inc/PI.h"
#include "inc/newrand.h"
#include "inc/NDarray.h"
#include "inc/NDgrid.h"
#include "inc/iFunc.h"
#include "inc/Generator.h"
#include "inc/Particle.h"
#include "inc/Constants.h"
#include "inc/Kinematics.h"
#include "inc/Event.h"
#include "inc/Interface.h"

using namespace ExDiff;

int main(int argc, const char** argv){
	   
 
// final construction
// datacard is the argument of the main file (filename)

   const char* datacard = argv[1]; 

// reading input data card
// create interface   
   Interface iogen(datacard);
   iogen.GeneratorInfo();
   iogen.PrintPars();
      
// output using interface     
   iogen.GenerateFile();

return 0;

}
